#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-4)
%define		yname		%(echo %{name}  | cut -d '-' -f2-3)
%define		xname		%(echo %{sname}  | tr -s '-' '_')
%define		zname		%(echo %{xname}  | cut -d '_' -f1-2)
%global		debug_package	%{nil}
#-----------------------------------------------------------------------------
Name		:	python3-markdown-it-py
Version		:	3.0.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Python port of markdown-it

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/markdown-it-py/#files

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})

Requires	:	libyaml
Requires	:	python3-mdurl

#-----------------------------------------------------------------------------
%description
Markdown parser done right. Its features:
Follows the CommonMark spec for baseline parsing.
Has configurable syntax: you can add new rules and
even replace existing ones.
Pluggable: Adds syntax extensions to extend the parser.
High speed & safe by default

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.md
%license LICENSE
%{_bindir}/%{yname}
%{python3_sitelib}/%{zname}/port.yaml
%{python3_sitelib}/%{zname}/py.typed
%{python3_sitelib}/%{zname}/*.py
%{python3_sitelib}/%{zname}/__pycache__/*.pyc
%{python3_sitelib}/%{zname}/cli/*.py
%{python3_sitelib}/%{zname}/cli/__pycache__/*.pyc
%{python3_sitelib}/%{zname}/common/*.py
%{python3_sitelib}/%{zname}/common/__pycache__/*.pyc
%{python3_sitelib}/%{zname}/helpers/*.py
%{python3_sitelib}/%{zname}/helpers/__pycache__/*.pyc
%{python3_sitelib}/%{zname}/presets/*.py
%{python3_sitelib}/%{zname}/presets/__pycache__/*.pyc
%{python3_sitelib}/%{zname}/rules_block/*.py
%{python3_sitelib}/%{zname}/rules_block/__pycache__/*.pyc
%{python3_sitelib}/%{zname}/rules_core/*.py
%{python3_sitelib}/%{zname}/rules_core/__pycache__/*.pyc
%{python3_sitelib}/%{zname}/rules_inline/*.py
%{python3_sitelib}/%{zname}/rules_inline/__pycache__/*.pyc
%{python3_sitelib}/%{xname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\
	--config-setting=--with-libyaml			\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\


#-----------------------------------------------------------------------------
%changelog
